%define upstream_name    Filesys-Df
%define upstream_version 0.92

%{?perl_default_filter}
# Prevent useless requires on "perl >= 5.006" that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}5.006

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 40

Summary:	Disk free based on Filesys::Statvfs
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Filesys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel

%description
This module provides a way to obtain filesystem disk space information.
This is a Unix only distribution. If you want to gather this information
for Unix and Windows, use 'Filesys::DfPortable'. The only major benefit of
using 'Filesys::Df' over 'Filesys::DfPortable', is that 'Filesys::Df'
supports the use of open filehandles as arguments.

The module should work with all flavors of Unix that implement the
'statvfs()' and 'fstatvfs()' calls, or the 'statfs()' and 'fstatfs()'
calls. This would include Linux, *BSD, HP-UX, AIX, Solaris, Mac OS X, Irix,
Cygwin, etc ...

'df()' requires a argument that represents the filesystem you want to
query. The argument can be either a scalar directory/file name or a open
filehandle. There is also an optional block size argument so you can tailor
the size of the values returned. The default block size is 1024. This will
cause the function to return the values in 1k blocks. If you want bytes,
set the block size to 1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/*



%changelog
* Fri Aug 23 2024 neoclust <neoclust> 0.920.0-40.mga10
+ Revision: 2089521
- Rebuild on the Real BS
- Rebuild against new perl

* Tue Apr 09 2024 wally <wally> 0.920.0-38.mga10
+ Revision: 2056198
- basesystem rebuild for i686

* Sun Nov 26 2023 tv <tv> 0.920.0-37.mga10
+ Revision: 2009893
- Rebuild with BS after semi-manual rebuild for perl-5.38

* Sun Nov 26 2023 tv <tv> 0.920.0-36.mga10
+ Revision: 2009848
- Rebuild for perl-5.38
+ pterjan <pterjan>
- Initial rebuild for perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.920.0-34.mga9
+ Revision: 1795411
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 0.920.0-33.mga9
+ Revision: 1726215
- rebuild post bootstrap
- rebuild for perl-5.34.0

* Wed Jun 17 2020 pterjan <pterjan> 0.920.0-31.mga8
+ Revision: 1594130
- Clean rebuild
- Rebuild for new perl

* Sun Feb 16 2020 umeabot <umeabot> 0.920.0-29.mga8
+ Revision: 1530201
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.920.0-28.mga8
+ Revision: 1434532
- rebuild for missing signature
- rebuild for perl-5.30.0-4.mga8

* Fri Sep 21 2018 umeabot <umeabot> 0.920.0-26.mga7
+ Revision: 1292872
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.920.0-25.mga7
+ Revision: 1247843
- rebuild for missing signatures
+ pterjan <pterjan>
- Fix file list

* Mon Oct 02 2017 tv <tv> 0.920.0-23.mga7
+ Revision: 1164376
- rebuild with fixed rpm for missing autodeps

* Wed Aug 30 2017 pterjan <pterjan> 0.920.0-22.mga7
+ Revision: 1148532
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.920.0-21.mga7
+ Revision: 1126499
- Rebuild against new Perl 5.26

* Fri Jul 21 2017 tv <tv> 0.920.0-20.mga7
+ Revision: 1126243
- rebuild for perl 5.26

* Fri Jul 21 2017 tv <tv> 0.920.0-19.mga7
+ Revision: 1126194
- rebuild for perl 5.26

* Mon Jun 06 2016 tv <tv> 0.920.0-18.mga6
+ Revision: 1020406
- unbloat default install: prevent pulling full perl...

* Fri Feb 12 2016 umeabot <umeabot> 0.920.0-17.mga6
+ Revision: 957327
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.920.0-16.mga6
+ Revision: 844872
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tmb <tmb> 0.920.0-15.mga6
+ Revision: 840397
- rebuild with buildsystem
- rebuild with perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.920.0-13.mga5
+ Revision: 745290
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.920.0-12.mga5
+ Revision: 684789
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.920.0-11.mga4
+ Revision: 524660
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.920.0-10.mga4
+ Revision: 431366
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.920.0-9.mga3
+ Revision: 367458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 0.920.0-8.mga3
+ Revision: 283403
- Clean rebuild

* Sun Jun 12 2011 sander85 <sander85> 0.920.0-7.mga2
+ Revision: 104281
- Rebuild for perl 5.14

* Tue Jan 18 2011 blino <blino> 0.920.0-6.mga1
+ Revision: 23267
- rebuild for new perl

* Sun Jan 09 2011 jquelin <jquelin> 0.920.0-5.mga1
+ Revision: 2981
- imported package perl-Filesys-Df

